Graphics driver does not support the necessary extensions to use this tool

Asked By 30 points N/A Posted on -
qa-featured

Hi,

After this error appeared on my desktop when I tried to run some new programs that I installed, I did the necessary updates for my video card and I still have this error. What could be the problem? Is my video card so old that I can’t run some new programs?

Thanks!

It appears that your graphics driver does not support the necessary extensions to use this tool. Do you want to use your graphics driver vendor’s tool instead?

No   Yes

 

SHARE
Answered By 567070 points N/A #167494

Graphics driver does not support the necessary extensions to use this tool

qa-featured

If this is the kind of error you are receiving about your graphics adapter when you are running a certain program, this means you cannot use it with your current hardware. Most of the common features that are required by programs on a video card are the support for OpenGL and Pixel Shader components. OpenGL is available in all video cards but, of course, old devices will also have lower versions of this component and will not be compatible if the program requires a much higher version.

Pixel Shader is commonly needed by games and other applications that require graphics processing. Updating your video card’s driver doesn’t always fix the problem especially if you have an old device and the component that your program requires is available on most modern video cards today. So what you can do is, either purchase a new video card or find an alternative to your program that will work on your graphics adapter.

Login/Register to Answer

Related Questions